Bug 977970 - cxf: Broken dependnency on asm2
cxf: Broken dependnency on asm2
Product: Fedora
Classification: Fedora
Component: cxf (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-06-25 13:11 EDT by Mikolaj Izdebski
Modified: 2013-06-26 09:24 EDT (History)
1 user (show)

See Also:
Fixed In Version: cxf-2.7.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-26 09:24:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-06-25 13:11:33 EDT
Description of problem:
cxf has broken dependencies in rawhide [1]. It requires asm2, which was retired [2].  Dependency on asm2 should be replaced with objectweb-asm.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. yum install cxf-rt

Actual results:
 You could try using --skip-broken to work around the problem
Error: Package: 1:cxf-rt-2.6.6-1.fc19.noarch (fedora)
           Requires: asm2

[1] http://lists.fedoraproject.org/pipermail/devel/2013-June/184444.html
[2] http://lists.fedoraproject.org/pipermail/java-devel/2013-June/004827.html
Comment 1 Marek Goldmann 2013-06-26 05:48:47 EDT
I'm working on it, this will be fixed hopefully today. Additionally CXF will be upgraded to latest and greatest.
Comment 2 Marek Goldmann 2013-06-26 09:24:14 EDT
Fixed in Rawhide: cxf-2.7.5-1.fc20.

Note You need to log in before you can comment on or make changes to this bug.